- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GeneralOption Class Reference

The GeneralOption Class. More...

`#include <OSOption.h>`

Collaboration diagram for GeneralOption:

[legend]
List of all members.

## Public Member Functions
| GeneralOption ()
| Default constructor.
| ~GeneralOption ()
| Class destructor.
bool | IsEqual (GeneralOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | serviceURI
| the service URI
std::string | serviceName
| the name of the service
std::string | instanceName
| the name of the instance
InstanceLocationOption * | instanceLocation
| the location of the instance
std::string | jobID
| the job ID
std::string | solverToInvoke
| the solver to invoke
std::string | license
| the license information
std::string | userName
| the username
std::string | password
| the password
ContactOption * | contact
| the contact method
OtherOptions * | otherOptions
| the list of other general options

## Detailed Description

The GeneralOption Class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 251 of file OSOption.h.

## Constructor & Destructor Documentation

GeneralOption::GeneralOption | ( |  | ) |

Default constructor.

Definition at line 114 of file OSOption.cpp.

References contact, instanceLocation, and otherOptions.

GeneralOption::~GeneralOption | ( |  | ) |

Class destructor.

Definition at line 132 of file OSOption.cpp.

References contact, instanceLocation, and otherOptions.

## Member Function Documentation

bool GeneralOption::IsEqual | ( | GeneralOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8084 of file OSOption.cpp.

References contact, instanceLocation, instanceName, jobID, license, otherOptions, password, serviceName, serviceURI, solverToInvoke, and userName.

bool GeneralOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10253 of file OSOption.cpp.

References contact, instanceLocation, instanceName, jobID, license, OSRand(), otherOptions, password, serviceName, serviceURI, OtherOptions::setRandom(), ContactOption::setRandom(), InstanceLocationOption::setRandom(), solverToInvoke, and userName.

Referenced by OSOption::setRandom().

## Member Data Documentation

std::string GeneralOption::serviceURI

the service URI

Definition at line 256 of file OSOption.h.

Referenced by OSOption::getServiceURI(), IsEqual(), setRandom(), OSOption::setServiceURI(), and OSoLWriter::writeOSoL().

std::string GeneralOption::serviceName

the name of the service

Definition at line 259 of file OSOption.h.

Referenced by OSOption::getServiceName(), IsEqual(), setRandom(), OSOption::setServiceName(), and OSoLWriter::writeOSoL().

std::string GeneralOption::instanceName

the name of the instance

Definition at line 262 of file OSOption.h.

Referenced by OSOption::getInstanceName(), IsEqual(), OSOption::setInstanceName(), setRandom(), and OSoLWriter::writeOSoL().

InstanceLocationOption* GeneralOption::instanceLocation

the location of the instance

Definition at line 265 of file OSOption.h.

Referenced by GeneralOption(), OSOption::getInstanceLocation(), OSOption::getInstanceLocationType(), IsEqual(), OSOption::setInstanceLocation(), OSOption::setInstanceLocationType(), setRandom(), OSoLWriter::writeOSoL(), and ~GeneralOption().

std::string GeneralOption::jobID

the job ID

Definition at line 268 of file OSOption.h.

Referenced by OSOption::getJobID(), IsEqual(), OSOption::setJobID(), setRandom(), and OSoLWriter::writeOSoL().

std::string GeneralOption::solverToInvoke

the solver to invoke

Definition at line 271 of file OSOption.h.

Referenced by OSOption::getSolverToInvoke(), IsEqual(), setRandom(), OSOption::setSolverToInvoke(), and OSoLWriter::writeOSoL().

std::string GeneralOption::license

the license information

Definition at line 274 of file OSOption.h.

Referenced by OSOption::getLicense(), IsEqual(), OSOption::setLicense(), setRandom(), and OSoLWriter::writeOSoL().

std::string GeneralOption::userName

the username

Definition at line 277 of file OSOption.h.

Referenced by OSOption::getUserName(), IsEqual(), setRandom(), OSOption::setUserName(), and OSoLWriter::writeOSoL().

std::string GeneralOption::password

the password

Definition at line 280 of file OSOption.h.

Referenced by OSOption::getPassword(), IsEqual(), OSOption::setPassword(), setRandom(), and OSoLWriter::writeOSoL().

ContactOption* GeneralOption::contact

the contact method

Definition at line 283 of file OSOption.h.

Referenced by GeneralOption(), OSOption::getContact(), OSOption::getContactTransportType(), IsEqual(), OSOption::setContact(), OSOption::setContactTransportType(), setRandom(), OSoLWriter::writeOSoL(), and ~GeneralOption().

OtherOptions* GeneralOption::otherOptions

the list of other general options

Definition at line 286 of file OSOption.h.

Referenced by GeneralOption(), OSOption::getNumberOfOtherGeneralOptions(), OSOption::getOtherGeneralOptions(), IsEqual(), OSOption::setAnOtherGeneralOption(), OSOption::setOtherGeneralOptions(), setRandom(), OSoLWriter::writeOSoL(), and ~GeneralOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp